<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * Reservation View
 *
 * @since  1.0.0
 */
class JRoomBookingViewReservationAdmin extends JViewLegacy {

    protected $form;
    protected $item;
    protected $script;
    protected $canDo;

    public function display($tpl = null)
    {
        $this->form = $this->get('Form');
        $this->item = $this->get('Item');
        $this->script = $this->get('Script');

        // What Access Permissions does this user have? What can (s)he do?
        $this->canDo = JRoomBookingHelper::getActions();

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        // Set the toolbar
        $this->addToolbar();

        // Display the template
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }

    protected function addToolbar() {
        $input = JFactory::getApplication()->input;

        // Hide Joomla Administrator Main menu
        $input->set('hidemainmenu', true);

        $isNew = ($this->item->id == 0);

        if ($isNew)
        {
            $title = JText::_('COM_JROOMBOOKING_MANAGER_JROOMBOOKING_NEW');
            // For new records, check the create permission.
            if ($this->canDo->get('core.create'))
            {
                JToolBarHelper::apply('reservationadmin.apply', 'JTOOLBAR_APPLY');
                JToolBarHelper::save('reservationadmin.save', 'JTOOLBAR_SAVE');
            }
            JToolBarHelper::cancel('jroombooking.cancel', 'JTOOLBAR_CANCEL');
        }
        else
        {
            $title = JText::_('COM_JROOMBOOKING_MANAGER_JROOMBOOKING_EDIT');
            if ($this->canDo->get('core.edit'))
            {
                // We can save the new record
                JToolBarHelper::apply('reservationadmin.apply', 'JTOOLBAR_APPLY');
                JToolBarHelper::save('reservationadmin.save', 'JTOOLBAR_SAVE');

            }

            JToolBarHelper::cancel('reservationadmin.cancel', 'JTOOLBAR_CLOSE');
        }

        JToolBarHelper::title($title, 'reservationadmin');
    }

    protected function setDocument() {
        $document = JFactory::getDocument();
        $document->setTitle(JText::_('COM_JROOMBOOKING_ADMINISTRATION'));
        $document->addScript(JURI::root() . $this->script);
        $document->addScript(JURI::root() . "/administrator/components/com_jroombooking" . "/views/reservationadmin/submitbutton.js");
        JText::script('COM_JROOMBOOKING_JROOMBOOKING_ERROR_UNACCEPTABLE');
    }
}