<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

JHtml::_('formbehavior.chosen', 'select');

$listOrder     = $this->escape($this->filter_order);
$listDirn      = $this->escape($this->filter_order_Dir);
?>
<div id="j-sidebar-container" class="span2">
    <?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
    <form action="index.php?option=com_jroombooking&view=rooms" method="post" id="adminForm" name="adminForm">
        <div class="row-fluid">
            <div class="span6">
                <?php echo JText::_('COM_JROOMBOOKING_ROOMS_FILTER'); ?>
                <?php
                    echo JLayoutHelper::render(
                        'joomla.searchtools.default',
                        array('view' => $this)
                    );
                ?>
            </div>
        </div>
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th width="1%"><?php echo JText::_('COM_JROOMBOOKING_NUM'); ?></th>
                <th width="2%">
                    <?php echo JHtml::_('grid.checkall'); ?>
                </th>
                <th width="5%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_PUBLISHED', 'published', $listDirn, $listOrder); ?>
                </th>
                <th width="5%">
                    <?php echo JText::_('COM_JROOMBOOKING_ROOMS_PHOTO'); ?>
                </th>
                <th width="10%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_ROOMS_PHOTO_FILENAME', 'photo', $listDirn, $listOrder); ?>
                </th>
                <th width="15%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_ROOMS_NAME', 'name', $listDirn, $listOrder); ?>
                </th>
                <th width="5%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_ROOMS_MAX_CAPACITY', 'max_capacity', $listDirn, $listOrder); ?>
                </th>
                <th width="55%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_ROOMS_DESC', 'description', $listDirn, $listOrder); ?>
                </th>
                <th width="2%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_ID', 'id', $listDirn, $listOrder); ?>
                </th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <td colspan="5">
                    <?php echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
            </tfoot>
            <tbody>
            <?php if (!empty($this->items)) : ?>
                <?php foreach ($this->items as $i => $row) :
                        $link = JRoute::_('index.php?option=com_jroombooking&task=jroombooking.edit&id=' . $row->id);
                ?>
                    <tr>
                        <td>
                            <?php echo $this->pagination->getRowOffset($i); ?>
                        </td>
                        <td>
                            <?php echo JHtml::_('grid.id', $i, $row->id); ?>
                        </td>
                        <td align="center">
                            <?php echo JHtml::_('jgrid.published', $row->published, $i, 'rooms.', true, 'cb'); ?>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_JROOMBOOKING'); ?>">
                                <img src="
                                    <?php
                                        //pokud neni nastaven obrazek pokoje, zobrazi se zastupny obrazek
                                        if(isset($row->photo) && $row->photo !== '') {
                                            echo '../' . $row->photo ?>" alt="<?php echo $row->name;
                                        } else {
                                            echo '../media/com_jroombooking/images/no_photo.png';
                                        }
                                    ?>
                                ">
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_JROOMBOOKING'); ?>">
                                <?php
                                    //pokud neni nastaven obrazek pokoje, vypise se hlaska
                                    if (isset($row->photo) && $row->photo !== '') {
                                        echo '...' . substr($row->photo, strrpos($row->photo, '/'));
                                    } else {
                                        echo JText::_('COM_JROOMBOOKING_ROOMS_NO_PHOTO');
                                    }
                                ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_JROOMBOOKING'); ?>">
                                <?php echo $row->name; ?>
                            </a>
                        </td>
                        <td align="center">
                            <?php echo $row->max_capacity; ?>
                        </td>
                        <td>
                            <?php echo htmlspecialchars($row->description); ?>
                        </td>
                        <td align="center">
                            <?php echo $row->id; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php endif; ?>
            </tbody>
        </table>
        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="boxchecked" value="0"/>
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>